> ## Documentation Index
> Fetch the complete documentation index at: https://docs.mrassistant.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Call Logs Detailed

> Get detailed logs for a specific call.



## OpenAPI

````yaml https://api.mrassistant.ai/openapi.json get /logs/calls/{call_id}
openapi: 3.1.0
info:
  title: Backend - Multilingual Voice Agent System
  description: FastAPI backend for multilingual voice agents with tool use
  version: 1.0.0
servers: []
security: []
paths:
  /logs/calls/{call_id}:
    get:
      tags:
        - logs
      summary: Get Call Logs Detailed
      description: Get detailed logs for a specific call.
      operationId: get_call_logs_detailed_logs_calls__call_id__get
      parameters:
        - name: call_id
          in: path
          required: true
          schema:
            type: string
            format: uuid
            title: Call Id
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                type: array
                items:
                  $ref: '#/components/schemas/LogResponse'
                title: Response Get Call Logs Detailed Logs Calls  Call Id  Get
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
      security:
        - HTTPBearer: []
components:
  schemas:
    LogResponse:
      properties:
        id:
          type: string
          format: uuid
          title: Id
        tenant_id:
          type: string
          format: uuid
          title: Tenant Id
        agent_id:
          anyOf:
            - type: string
              format: uuid
            - type: 'null'
          title: Agent Id
        session_id:
          anyOf:
            - type: string
              format: uuid
            - type: 'null'
          title: Session Id
        call_id:
          anyOf:
            - type: string
              format: uuid
            - type: 'null'
          title: Call Id
        log_type:
          type: string
          title: Log Type
        log_level:
          type: string
          title: Log Level
        message:
          type: string
          title: Message
        details:
          anyOf:
            - additionalProperties: true
              type: object
            - type: 'null'
          title: Details
        user_id:
          anyOf:
            - type: string
            - type: 'null'
          title: User Id
        trace_id:
          anyOf:
            - type: string
            - type: 'null'
          title: Trace Id
        request_id:
          anyOf:
            - type: string
            - type: 'null'
          title: Request Id
        timestamp:
          type: string
          title: Timestamp
      type: object
      required:
        - id
        - tenant_id
        - log_type
        - log_level
        - message
        - timestamp
      title: LogResponse
      description: Log response model.
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
        input:
          title: Input
        ctx:
          type: object
          title: Context
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError
  securitySchemes:
    HTTPBearer:
      type: http
      scheme: bearer

````